Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.engine
Class RemoteJMeterEngineImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  org.apache.jmeter.engine.RemoteJMeterEngineImpl

All Implemented Interfaces:
  Serializable, Remote, RemoteJMeterEngine

    public final class RemoteJMeterEngineImpl

extends UnicastRemoteObject
implements RemoteJMeterEngine

This is the JMeter server main code.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Method Summary
`void` | `rconfigure(HashTree testTree, String host, File jmxBase, String scriptName)` Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.
`void` | `rexit()`
`void` | `rreset()`
`void` | `rrunTest()`
`void` | `rsetProperties(Properties p)`
`void` | `rstopTest(boolean now)`
`static void` | `startServer(int rmiPort)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### startServer

    public static void startServer(int rmiPort)
                            throws RemoteException

  Throws:
    `RemoteException`

### rconfigure

    public void rconfigure(HashTree testTree,
                           String host,
                           File jmxBase,
                           String scriptName)
                    throws RemoteException

  Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.

  Specified by:
    `rconfigure` in interface `RemoteJMeterEngine`
  Parameters:
    `testTree` - the feature to be added to the ThreadGroup attribute
  Throws:
    `RemoteException`

### rrunTest

    public void rrunTest()
                  throws RemoteException,
                         JMeterEngineException,
                         IllegalStateException

  Specified by:
    `rrunTest` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`
    `JMeterEngineException`
    `IllegalStateException`

### rreset

    public void rreset()
                throws RemoteException,
                       IllegalStateException

  Specified by:
    `rreset` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`
    `IllegalStateException`

### rstopTest

    public void rstopTest(boolean now)
                   throws RemoteException

  Specified by:
    `rstopTest` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`

### rexit

    public void rexit()
               throws RemoteException

  Specified by:
    `rexit` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`

### rsetProperties

    public void rsetProperties(Properties p)
                        throws RemoteException,
                               IllegalStateException

  Specified by:
    `rsetProperties` in interface `RemoteJMeterEngine`
  Throws:
    `RemoteException`
    `IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.